BomberScene = {}
class("BomberScene").extends(BaseScene)
local scene = BomberScene

function scene:init()
    scene.super.init(self)
    scene.granade = nil
end


scene.inputHandler = {
    upButtonHold = function()
        scene.crosshair:moveUp()
    end,
    downButtonHold = function()
        scene.crosshair:moveDown()
    end,
    leftButtonHold = function()
        scene.crosshair:moveLeft()
    end,
    rightButtonHold = function()
        scene.crosshair:moveRight()
    end,
    AButtonDown = function()
        print("AButtonDown")
        scene.granade = Granade(scene.crosshair.x, scene.crosshair.y)
    end
}

function scene:enter()
    scene.super.enter(self)
    Noble.Input.setHandler(scene.inputHandler)
    scene.crosshair = MovableCrosshair(100, 100)
end

function scene:start()
    scene.super.start(self)
end

function scene:update()
    scene.super.update(self)
    -- scene.crosshair:update()
    
    -- if scene.granade then
    --     scene.granade:update()
    -- end
end
